#ifndef DUMMYPKG_H_DEF
#define DUMMYPKG_H_DEF

#include "TelepatiPkg.h"
#include <string>

using namespace std;

/**implementa un messaggio dummy usato per testing.@n Struttura di
   "pkg data" (l'header e' standard):@n char[]= array di caratteri nel
   formato di stringhe di C.
*/
class DummyPkg : public TelepatiPkg {
 public:
  /** Costruttore ordinario. @param a aibo di destinazione @param ack
      true:se richiesto l'Ack; false: altrimenti*/
  DummyPkg(int a, bool ack=false );
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see
     getMsg()*/
  DummyPkg(byte* ptr);
  
  /** Distruttore di Default.*/
  virtual ~DummyPkg();

  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();

  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see DummyPkg(byte* ptr)*/
  byte* getMsg();
  /** Stringa "Dummy message". @return stringa del messaggio*/
  inline string getString() { return str; };
  
 protected:
  string str; /**< Stringa "Dummy message"*/
  //byte* bomb; /**< array di spazzatura*/
};
#endif
